Unable to download gospel library on older Android device

Discussions around the Android version of the Gospel Library application.
Post Reply
alan1116
New Member
Posts: 1
Joined: Wed Oct 10, 2018 7:53 pm

Unable to download gospel library on older Android device

#1

Post by alan1116 »

I've got an older Android phone I'm giving to my parents. It's got Android 4.1.2. in searching the Google play store, the gospel library app doesn't even show up. I found it in my library of previously installed apps but when I go into that page on the play store, it says this version isn't compatible with your device. So then I side loaded an older version from an app website because I couldn't find where to get an older version on this website and it installed, but I couldn't install any of the scriptures because it said download failed for everything.

Thoughts on how I can get it? I'm fine with not getting updated content, but just need the basics.

Thanks
lajackson
Community Moderators
Posts: 10411
Joined: Mon Mar 17, 2008 10:27 pm
Location: US

Re: Unable to download gospel library on older Android device

#2

Post by lajackson »

alan1116 wrote:I've got an older Android phone I'm giving to my parents. It's got Android 4.1.2. in searching the Google play store, the gospel library app doesn't even show up.
The GL app will not run on Android 4.1.2. You would need at least Android 4.4 and 5.0 would be better. This post explains what used to run on what operating system.

Older versions of the app no longer run on older versions of the OS mainly because of security concerns.
Post Reply

Return to “Android Gospel Library”